Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config
Class ConfigMap

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.ConfigMap

    public class ConfigMap

extends java.lang.Object

Clase que encapsula un mapa de configuración. Esta clase permite el acceso indexado por nombre a los ConceptMaps contenidos en un Statement.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ConfigMap(Statement map)` Constructor de la clase, a la cual se le pasa un Statement sobre el cual se crearán los índices para permitir un acceso más eficiente a los ConceptMaps que contiene.

Method Summary
`java.util.ArrayList<ConceptMap>` | `getAllConceptMapByInputID(java.lang.String inputID)` Devuelve una lista de objetos ConceptMap que concuerdan con un InputID.
`ConceptMap` | `getConceptMapByInputID(java.lang.String inputID)` Accede a un ConceptMap a través de su identificador inputID.
`ConceptMap` | `getConceptMapByOutputID(java.lang.String outputID, java.lang.String dimension, java.lang.String memberName)` Accede a un ConceptMap a través de su identificador outputID.
`ConceptMap` | `getConceptMapByOutputIDPrefix(java.lang.String outputID, java.lang.String prefix)` Accede a un ConceptMap a través de su identificador outputID.
`java.lang.String` | `getConceptMapToTranslate(java.lang.String outputID)` Devuelve un ConceptMap obtenido de la lista de traducciones entre nombres xbrl y codigos de formato común
`Statement` | `getStatement()` Accesor al Statement contenido en ConfigMap

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigMap

    public ConfigMap(Statement map)

  Constructor de la clase, a la cual se le pasa un Statement sobre el cual se crearán los índices para permitir un acceso más eficiente a los ConceptMaps que contiene.

  Parameters:
    `map` - Statement que se pretende indexar

Method Detail

### getStatement

    public Statement getStatement()

  Accesor al Statement contenido en ConfigMap

  Returns:
    referencia al Statement contenido

### getConceptMapByInputID

    public ConceptMap getConceptMapByInputID(java.lang.String inputID)

  Accede a un ConceptMap a través de su identificador inputID.

  Parameters:
    `inputID` - Identificador del ConceptMap que se pretende consultar
  Returns:
    ConceptMap correspondiente al inputID indicado

### getConceptMapByOutputID

    public ConceptMap getConceptMapByOutputID(java.lang.String outputID,
                                              java.lang.String dimension,
                                              java.lang.String memberName)

  Accede a un ConceptMap a través de su identificador outputID.

  Parameters:
    `outputID` - Identificador del ConceptMap que se pretende consultar
    `dimension` - nombre de la dimensión
    `memberName` - nombre del miembro
  Returns:
    ConceptMap correspondiente al outputID indicado

### getConceptMapByOutputIDPrefix

    public ConceptMap getConceptMapByOutputIDPrefix(java.lang.String outputID,
                                                    java.lang.String prefix)

  Accede a un ConceptMap a través de su identificador outputID.

  Parameters:
    `outputID` - Identificador del ConceptMap que se pretende consultar
    `prefix` - prefijo del elemento en la taxonomia
  Returns:
    ConceptMap correspondiente al outputID indicado

### getConceptMapToTranslate

    public java.lang.String getConceptMapToTranslate(java.lang.String outputID)

  Devuelve un ConceptMap obtenido de la lista de traducciones entre nombres xbrl y codigos de formato común

  Parameters:
    `outputID` -
  Returns:
    Devuelve un ConceptMap obtenido de la lista de traducciones entre nombres xbrl y codigos de formato común

### getAllConceptMapByInputID

    public java.util.ArrayList<ConceptMap> getAllConceptMapByInputID(java.lang.String inputID)

  Devuelve una lista de objetos ConceptMap que concuerdan con un InputID. El mismo InputID podría estar repetido para varios outputIDs. En general, pasará si existen tuplas

  Parameters:
    `inputID` - inputId de busqueda
  Returns:
    ArrayList de ConceptMap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD